| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_bos_dev_capability_descriptor Struct Reference
USB descriptors

A generic representation of a BOS Device Capability descriptor. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint8_t | bDevCapabilityType
| Device Capability type.
uint8_t | dev_capability_data [ZERO_SIZED_ARRAY]
| Device Capability data (bLength - 3 bytes)

## Detailed Description

A generic representation of a BOS Device Capability descriptor.

It is advised to check bDevCapabilityType and call the matching libusb_get_*_descriptor function to get a structure fully matching the type.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_bos_dev_capability_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_DEVICE_CAPABILITY LIBUSB_DT_DEVICE_CAPABILITY in this context.

The documentation for this struct was generated from the following file:

- libusb.h